param n := 3;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	x[3];
subject to R1:
        30*x[1] - 6*x[1]^2 - x[3] + 250 = 0;
subject to R2:
        20*x[2] - 12*x[2]^2 - x[3] + 300 = 0;
subject to R3:
        0.5*(x[1]+x[2])^2 - x[3] + 150 = 0;

data;

param l := 
      1 0.0
      2 0.0
      3 0.0;

param u := 
      1   9.422
      2   5.903
      3 267.420;
