param n := 2;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	29.4*x[1] + 18*x[2];
subject to R1:
        -x[1] + 0.2458 * x[1]^2 / x[2] <= -6;

data;

param l := 
      1 0.0
      2 1.0e-05;

param u := 
      1 115.8
      2  30.0;
