param n := 3;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	35*x[1]^0.6 + 35*x[2]^0.6;
subject to R1:
        600*x[1] - 50*x[3] - x[1]*x[3] = -5000;
subject to R2:
        600*x[2] + 50*x[3] = 15000;

data;

param l := 
      1  1.0e-05
      2  1.0e-05
      3  100.0;

param u := 
      1  34.0
      2  17.0
      3 300.0;
