param n := 4;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	x[1]^0.6 + x[2]^0.6 - 6*x[1] - 4*x[3] + 3*x[4];
subject to R1:
        -3*x[1] + x[2] - 3*x[3] = 0;
subject to R2:
        x[1] + 2*x[3] <= 4;
subject to R3:
        x[2] + 2*x[4] <= 4;

data;

param l := 
      1  1.0e-05
      2  1.0e-05
      3  0.0
      4  0.0;

param u := 
      1  3.0
      2  4.0
      3  2.0
      4  1.0;
