param n := 3;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	0;
subject to R1:
        x[3]^2 / ( x[1]*x[2]^3 ) = 0.000169;
subject to R2:
        x[2] / x[1] = 3;
subject to R3:
        x[1] + x[2] + x[3] = 50;

data;

param l := 
      1  1.0e-05
      2  1.0e-05
      3  0.0;

param u := 
      1  12.5
      2  37.5
      3  50.0;
