param a := 4;
param b := 2;
param r := 1;
param m := 5;

var u {i in 1..m}, := - a + 2 * a * Uniform01();
var v {i in 1..m}, := - b + 2 * b * Uniform01();
var s {i in 1..m} >= 0, <= 1, := Uniform01();

maximize Obj:
	 sum {i in 1..m, j in i+1..m} 
         ( ( ( 1 + ( s[i] - 1 ) * ( b^2 / a^2 ) ) * u[i] - 
             ( 1 + ( s[j] - 1 ) * ( b^2 / a^2 ) ) * u[j] )^2 + 
           ( s[i] * v[i] - s[j] * v[j] )^2 );

subject to R1 {i in 1..m}:
	( u[i] / a )^2 + ( v[i] / b )^2 = 1;

subject to R2 {i in 1..m}:
	(s[i] - 1)^2 * ( (b^2/a^2)^2 * u[i]^2 + v[i]^2 ) >= r^2;

subject to R3 {i in 1..m, j in i+1..m}:
        ( ( 1 + ( s[i] - 1 ) * ( b^2 / a^2 ) ) * u[i] 
        - ( 1 + ( s[j] - 1 ) * ( b^2 / a^2 ) ) * u[j] )^2 + 
        ( s[i] * v[i] - s[j] * v[j] )^2 >= 4 * r^2;

option solver algencan;
solve;
