param n := 2;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

param k1 := 9.755988e-02;
param k2 := 0.99 * k1;
param k3 := 3.919080e-02;
param k4 := 0.90 * k3;

minimize obj:
	- ( k1 * x[1] / ((1+k1*x[1])*(1+k3*x[1])*(1+k4*x[2])) + k2 * x[2] / ((1+k1*x[1])*(1+k2*x[2])*(1+k4*x[2])) );
subject to R1:
        sqrt( x[1] ) + sqrt( x[2] ) <= 4;

data;

param l := 
      1 1.0e-05
      2 1.0e-05;

param u := 
      1 16.0
      2 16.0;
