param n := 2;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	x[1]^4 - 14*x[1]^2 + 24*x[1] - x[2]^2;
subject to R1:
        x[2] - x[1]^2 - 2*x[1] <= -2;
subject to R2:
        - x[1] + x[2] <= 8;

data;

param l := 
      1 -8.0
      2  0.0;

param u := 
      1 10.0
      2 10.0;
