param n := 2;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	2*x[1] + x[2];
subject to R1:
        -16*x[1]*x[2] <= -1;
subject to R2:
        -4*x[1]^2 - 4*x[2]^2 <= -1;

data;

param l := 
      1  0.0
      2  0.0;

param u := 
      1  1.0
      2  1.0;
