param n := 2;

param l {i in 1..n};
param u {i in 1..n};

var x {i in 1..n} >= l[i], <= u[i], := l[i] + ( u[i] - l[i] ) * Uniform01();

minimize obj:
	-12*x[1] - 7*x[2] + x[2]^2;
subject to R1:
        -2*x[1]^4 - x[2] = -2;

data;

param l := 
      1  0.0
      2  0.0;

param u := 
      1  2.0
      2  3.0;
